Get character details
curl --request GET \
--url https://app.npcbuilder.com/api/context/characters/{game_id}/{world_id}/{character_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.npcbuilder.com/api/context/characters/{game_id}/{world_id}/{character_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.npcbuilder.com/api/context/characters/{game_id}/{world_id}/{character_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"character_id": "character789",
"character": {
"id": "character789",
"name": "Aragorn",
"description": "A brave warrior with a mysterious past.",
"age": "adult",
"gender": "Male",
"role": "protagonist",
"tone": "mysterious",
"traits": [
"brave"
],
"personality_theory": "basicTraits",
"personality_dimensions": {},
"speech_pattern": {
"vocabulary_level": "moderate",
"sentence_length": "average",
"verbal_quirks": ""
},
"items": [
{
"itemName": "Sword",
"unit": "Piece",
"value": 100,
"type": "trade",
"description": "A sharp sword."
}
],
"events": [
{
"eventName": "Attack",
"type": "action",
"description": "Act of violence against another person."
}
],
"quests": [
{
"description": "Retrieve the lost artifact.",
"objective": "Find and return the artifact.",
"reward": "500 gold coins"
}
]
}
}{
"message": "An error occurred"
}{
"error": "Character with ID character789 not found."
}{
"message": "An error occurred"
}Characters
Get character details
Retrieve public details for a character. Internal fields such as knowledge, relationships, filters, memory, and model are omitted.
GET
/
context
/
characters
/
{game_id}
/
{world_id}
/
{character_id}
Get character details
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The unique identifier for the game.
Example:
"game123"
The unique identifier for the world.
Example:
"world456"
The unique identifier for the character.
Example:
"character789"
Query Parameters
(Optional) The player's session ID.
Example:
"60Z5aZjIuFlyYbjbZZKe"
⌘I